#!/bin/sh

mypath="`cat /usr/local/sbin/openvpn.binpath`"

lockfile=/var/lock/openvpn-starter
[ -f $lockfile ] && exit 0
echo $$ > $lockfile

i=0
while [ $i -lt 10 ]
do
        [ `cat $lockfile` != $$ ] && exit 0
        [ -x "$mypath/start_openvpn.sh" ] && break
        sleep 1
        i=`expr $i + 1`
done
[ -x "$mypath/start_openvpn.sh" ] && "$mypath/start_openvpn.sh"
